Get Positions
curl --request GET \
--url https://api.roxom.com/v1/positions \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Signature: <api-key>'import requests
url = "https://api.roxom.com/v1/positions"
headers = {
"X-API-Key": "<api-key>",
"X-API-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Signature': '<api-key>'}
};
fetch('https://api.roxom.com/v1/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"positions": [
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"adlRank": 1,
"avgEntry": "<string>",
"createdAt": 123,
"entryAmount": "<string>",
"entryFees": "<string>",
"exitAmount": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialMargin": "<string>",
"instrumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leverage": "<string>",
"liquidationPrice": "<string>",
"maintenanceMarginRatio": "<string>",
"margin": "<string>",
"openDate": 123,
"size": "<string>",
"updatedAt": 123,
"avgExit": "<string>",
"closeDate": 123,
"exitFees": "<string>",
"stopLossOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"takeProfitOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"error": true
}Positions
Get Positions
Retrieve current position information for all trading instruments or a specific symbol.
GET
/
v1
/
positions
Get Positions
Authorizations
Your API key
The signature of the request
Query Parameters
Available options:
perpetual, spot, btc, digital, stock, index Available options:
sats, btc Last modified on May 14, 2026
Was this page helpful?
⌘I